﻿/*
 * *Created by PoLeung
 * *Email 30930572@qq.com
 * *Create date 2023-05-06
 * *Copyright LockDataV
 * *Desc data visualization project based on Echarts4.0.
 */

@charset "utf-8";
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

*, body {
    padding: 0px;
    margin: 0px;
    -moz-user-select: none;
    -khtml-user-select: none;
    user-select: none;
}

html, body {
    width: 100%;
    height: 100%;
    font-size: 16px;
    margin: 0;
    padding: 0;
    overflow: hidden;
    font-family: "微软雅黑", "Times New Roman", Georgia, Serif;
    touch-action: manipulation;
}

a {
    color: #333;
    text-decoration: none;
    cursor: pointer;
}

/*首页搜索框*/
.panel {
    display: none;
}

.p_search {
    position: absolute;
    top: 45px;
    left: 0;
    right: 0;
    width: 96%;
    height: 60px;
    line-height: 60px;
    text-align: center;
    margin: 5px auto;
    border-radius: 15px;
    border: 1px solid rgba(159, 159, 159, 0.3);
    background: #fff;
    z-index: 99999;
}

.p_search > i {
    float: left;
    width: 10%;
    font-size: 28px;
    color: rgba(159, 159, 159, 0.85);
    padding: 0 10px;
}

.p_search > input {
    float: left;
    width: 65%;
    margin: 1px;
    padding-left: 5px;
    height: 55px;
    line-height: 55px;
    border: none;
}

.searchBtn {
    float: right;
    width: 18%;
    height: 100%;
    border: none;
    outline: none;
    margin-left: 3px;
    padding: 1%;
    border-radius: 15px;
    background: #fff;
    color: silver;
    border: 1px solid rgba(159, 159, 159, 0.3);
}

/*操作菜单*/
.lock_menu {
    position: absolute;
    top: 70%;
    right: 10px;
    transform: translate(0, -50%); /*垂直居中*/
    border-radius: 10px;
    width: 50px;
    height: 195px; /*导航栏总高度,50px/个*/
    background-color: #fff;
    z-index: 9999;
}

.lock_sub {
    display: block;
    text-align: center;
    margin: 5px auto;
    color: rgba(92, 92, 92, 1);
    cursor: pointer;
}

.lock_sub > p {
    margin: -3px auto;
    font-size: 10px;
    width: 50%;
    padding-bottom: 5px; /*文字与横线的间距*/
    border-bottom: 2px solid rgba(92, 92, 92, 0.2);
}


/*地图弹出窗内容*/
.popTitle {
    height: 25px;
    font-size: 16px;
}

.infoItems {
    color: rgba(0, 0, 0, 0.7);
    padding: 2px;
}

.infoItems > span {
    font-size: 12px;
    padding-left: 5px;
}

.infoItems > a > span {
    font-size: 12px;
    padding-left: 5px;
}


/*百度版权去除*/
/*.BMap_cpyCtrl {
    display: none;
}

.anchorBL {
    display: none;
}*/

/*横向滑动Tabs*/
.find_nav {
    position: fixed;
    top: 0;
    z-index: 99;
    width: 100%;
    height: 45px;
    background-color: #f9f9f9;
    border-bottom: 1px solid #ddd;
}

.find_nav_left {
    height: 70px;
    position: relative;
    overflow: hidden;
    -moz-box-flex: 1;
    -webkit-box-flex: 1;
    box-flex: 1;
}

.find_nav_list {
    position: absolute;
    left: 0;
}

.find_nav_list ul {
    position: relative;
    white-space: nowrap;
    font-size: 0;
}

.find_nav_list ul li {
    display: inline-block;
    padding: 0;
    margin: 0 12px;
}

.find_nav_list > ul > li:nth-last-child(2) {
    padding-right: 40px; /*倒数第2个菜单与边框的间距*/
}

.find_nav_list ul li a {
    display: inline-block;
    width: 100%;
    height: 100%;
    line-height: 45px;
    font-size: 16px;
    text-align: center;
    color: #666;
}

.find_nav_cur a {
    color: #48a5f4 !important;
    font-weight: bold;
}

.find_nav_list a.active {
    color: #C00
}

.sideline {
    display: block;
    position: absolute;
    border: 0;
    height: 2px;
    background-color: #48a5f4;
    left: 0;
    top: 45px;
    /*pointer-events: none;*/
}

/*地图容器*/
.lock_map {
    position: absolute;
    width: 100%;
    height: calc(100% - 46px);
    margin: 0;
    padding: 0;
    z-index: 999;
}

.sep {
    height: 46px;
}

/*导航*/
.navi {
    position: absolute;
    bottom: 0px;
    left: 0;
    right: 0;
    margin: auto 0;
    width: 100%;
    height: 200px;
    background-color: #FFF;
    border-radius: 10px 10px 0 0;
    z-index: 9999;
    display: none; /*默认隐藏*/
}

.navi > p {
    height: 50px;
    line-height: 50px;
    text-align: center;
    border-bottom: 1px solid rgba(139, 145, 160, 0.1);
}

.navi > p:nth-child(4) {
    border-top: 1px solid rgba(139, 145, 160, 0.1);
}

.navi > p > a {
    color: #000;
}
